| Kea 3.0.2-git

isc::process::ConfigControlParser Class Reference

Implements parser for config control information, "config-control". More...

`#include <config_ctl_parser.h>`

Inheritance diagram for isc::process::ConfigControlParser:
[legend]

## Public Member Functions
ConfigControlInfoPtr | parse (const data::ConstElementPtr &config_control)
| Parses a configuration control Element.

## Detailed Description

Implements parser for config control information, "config-control".

Definition at line 18 of file config_ctl_parser.h.

## Member Function Documentation

## ◆ parse()

ConfigControlInfoPtr isc::process::ConfigControlParser::parse | ( | const data::ConstElementPtr & | config_control | ) |

Parses a configuration control Element.

Parameters

  config_control | Element holding the config control content to be parsed.

Returns
  Pointer to newly created ConfigControlInfo instance

Exceptions

  DhcpConfigError | when config control content is invalid.

Todo
  do we still need access_string for this at all? can't we just use params directly and get rid of the string now that DatabaseConnection::toElement(map) exists?

Definition at line 22 of file config_ctl_parser.cc.

References isc::data::SimpleParser::getInteger(), isc_throw, Element::list, and isc::db::DbAccessParser::parse().

Referenced by isc::dhcp::processDhcp4Config(), and isc::dhcp::processDhcp6Config().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- config_ctl_parser.h
- config_ctl_parser.cc